Skip to main content
POST
/
commerce
/
catalog
/
storefront
/
shipping
/
transit-times
Error
A valid request URL is required to generate request examples
{
  "data": {},
  "destinationAddress": {
    "address1": "<string>",
    "address2": "<string>",
    "address3": "<string>",
    "address4": "<string>",
    "addressType": "<string>",
    "cityOrTown": "<string>",
    "countryCode": "<string>",
    "isValidated": true,
    "postalOrZipCode": "<string>",
    "stateOrProvince": "<string>"
  },
  "items": [
    {
      "data": {},
      "itemId": "<string>",
      "quantity": 123,
      "unitMeasurements": {
        "girth": 123,
        "height": {
          "unit": "<string>",
          "value": 123
        },
        "length": {
          "unit": "<string>",
          "value": 123
        },
        "weight": {
          "unit": "<string>",
          "value": 123
        },
        "width": {
          "unit": "<string>",
          "value": 123
        }
      },
      "productCode": "<string>"
    }
  ],
  "originLocationCode": "<string>",
  "shipDate": "2023-11-07T05:31:56Z",
  "transitTimes": [
    {
      "carrierId": "<string>",
      "estimatedDeliveryDates": [
        {
          "data": {},
          "deliveryDate": "<string>",
          "fulfillmentMethod": "<string>",
          "messages": [
            {
              "helpLink": "<string>",
              "message": "<string>",
              "severity": "<string>"
            }
          ],
          "serviceType": "<string>",
          "windows": [
            {
              "dropoffTime": {
                "endsAt": "2023-11-07T05:31:56Z",
                "startsAt": "2023-11-07T05:31:56Z"
              },
              "pickupTime": {
                "endsAt": "2023-11-07T05:31:56Z",
                "startsAt": "2023-11-07T05:31:56Z"
              }
            }
          ]
        }
      ],
      "itemIds": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json
data
object

Custom data for the request

destinationAddress
object
fulfillmentMethod
string | null
items
object[] | null
originAddress
object
originLocationCode
string | null
shipDate
string<date-time>
shippingServiceTypes
string[] | null

Response

Success

data
object
destinationAddress
object
items
object[] | null
originLocationCode
string | null
shipDate
string<date-time>
transitTimes
object[] | null